---
services:
    Chill\ActivityBundle\Repository\ActivityReasonRepository:
        autowire: true

    chill_activity.repository.activity_type: '@Chill\ActivityBundle\Repository\ActivityTypeRepository'
    chill_activity.repository.reason: '@Chill\ActivityBundle\Repository\ActivityReasonRepository'
    chill_activity.repository.reason_category: '@Chill\ActivityBundle\Repository\ActivityReasonCategoryRepository'

    # This is not a repository but merely a service. It needs to be moved out for simplicity.
    # The autowire and autoconfigure should be enabled globally and removed from the definition of the service.
    # Once autoloaded, there is no need to alias it to the interface here, it will be done automatically by Symfony.
    Chill\ActivityBundle\Repository\ActivityACLAwareRepository:
        autowire: true
        autoconfigure: true
    Chill\ActivityBundle\Repository\ActivityACLAwareRepositoryInterface: '@Chill\ActivityBundle\Repository\ActivityACLAwareRepository'

